package com.glxp.udidl.admin.controller.udchs;

import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.chsapi.ChsYbDrugService;
import com.glxp.udidl.admin.service.chsapi.ChsYbHcflService;
import com.glxp.udidl.admin.service.chsapi.ChsYbHcxxGgService;
import com.glxp.udidl.admin.service.chsapi.ChsYbHcxxService;
import com.glxp.udidl.admin.util.ResultVOUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = "医保接口触发手动更新测试")
@RestController
public class UdchsThirdApiController {

    @Autowired
    ChsYbHcflService ybHcflService;
    @Autowired
    ChsYbHcxxService ybHcxxService;
    @Autowired
    ChsYbHcxxGgService ybHcxxGgService;
    @Autowired
    ChsYbDrugService ybDrugService;

    @ApiOperation("手动触发ybHcfl数据全量更新")
//    @AuthRuleAnnotation("udiwms/erp/manual/trig/ybHcfl")
    @PostMapping("/udiwms/erp/manual/trig/ybHcfl")
    public BaseResponse<?> manualTrigYbHcfl() {
        ybHcflService.updateYbHcflList();
        return ResultVOUtils.success("手动触发ybHcfl数据全量更新！");
    }

    @ApiOperation("手动触发ybHcxx数据全量更新")
//    @AuthRuleAnnotation("udiwms/erp/manual/trig/ybHcxx")
    @PostMapping("/udiwms/erp/manual/trig/ybHcxx")
    public BaseResponse<?> manualTrigYbHcxx() {
        ybHcxxService.updateYbHcxxList();
        return ResultVOUtils.success("手动触发ybHcxx数据全量更新！");
    }

    @ApiOperation("手动触发ybHcxxGg数据全量更新")
//    @AuthRuleAnnotation("udiwms/erp/manual/trig/ybHcxxGg")
    @PostMapping("/udiwms/erp/manual/trig/ybHcxxGg")
    public BaseResponse<?> manualTrigYbHcxxGg() {
        ybHcxxGgService.updateForEachYbHcxxList();
//        Tesseract tesseract = new Tesseract();
//        // 其他配置，如语言、OCR引擎等
//        String result;
//        try {
////            File imageFromNetByUrl = getImageFromNetByUrl("http://code.nhsa.gov.cn/hc/ipActuatorVeryCode");
////            File imageFromNetByUrl = new File("E:\\image\\ipActuatorVeryCode.png");
//            ImageIO.scanForPlugins();
//            result = tesseract.doOCR(imageFromNetByUrl);
//              System.out.println(result);
//        } catch (TesseractException e) {
//            e.printStackTrace();
//        }
        return ResultVOUtils.success("手动触发ybHcxxGg数据全量更新！");
    }

    @ApiOperation("手动触发ybHcxxGg数据更新通过父code")
//    @AuthRuleAnnotation("udiwms/erp/manual/trig/ybHcxxGgByCode")
    @PostMapping("/udiwms/erp/manual/trig/ybHcxxGgByCode")
    public BaseResponse<?> manualTrigYbHcxxGgByCode(@RequestBody String specificationCode) {
        ybHcxxGgService.updateYbHcxxGgList(specificationCode);
        return ResultVOUtils.success("手动触发ybHcxxGg数据更新通过父code！");
    }



    @ApiOperation("手动触发ybDrug数据更新")
    @PostMapping("/udiwms/erp/manual/trig/ybDrugByCode")
    public BaseResponse<?> ybDrugByCode() {
        ybDrugService.updateDrugList();
        return ResultVOUtils.success("手动触发ybDrug数据更新！");
    }


    @ApiOperation("手动触发ybTwzd数据全量更新")
//    @AuthRuleAnnotation("udiwms/erp/manual/trig/ybHcfl")
    @PostMapping("/udiwms/erp/manual/trig/ybTwzd")
    public BaseResponse<?> manualTrigYbTwzdl() {
        ybHcflService.updateYbTwzdList();
        return ResultVOUtils.success("手动触发ybTwzd数据全量更新！");
    }
}
