package com.glxp.udidl.admin.controller.udchs;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.dto.udchs.BaseParam;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udchs.YbHcflService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * 国家医保
 */
@Api(tags = "国家医保耗材分类目录信息接口")
@RestController
@RequestMapping("/udchs/ybHcfl")
public class UdchsYbHcflController {

    @Autowired
    private YbHcflService ybHcflService;

    @ApiOperation(value = "国家医保耗材分类目录信息", response = YbHcflEntity.class)
    @AuthRuleAnnotation("udchs/ybHcfl/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody BaseParam param) {
        return ybHcflService.getList(param);
    }

}
