package com.glxp.udidl.admin.entity.chs;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import lombok.Data;

/**
    * 医保耗材信息
    */
@ApiModel(value="com-glxp-udidl-admin-entity-chs-YbHcxx")
@Data
@TableName(value = "yb_hcxx")
public class YbHcxxEntity implements Serializable {
    @TableId(value = "id", type = IdType.INPUT)
    @ApiModelProperty(value="")
    private Integer id;

    /**
     * 医用耗材代码
     */
    @TableField(value = "specificationCode")
    @ApiModelProperty(value="医用耗材代码")
    private String specificationCode;

    /**
     * 耗材分类代码(外键）
     */
    @TableField(value = "hcflCodeFk")
    @ApiModelProperty(value="耗材分类代码(外键）")
    private String hcflCodeFk;

    /**
     * 一级分类（学科，品类）
     */
    @TableField(value = "catalogname1")
    @ApiModelProperty(value="一级分类（学科，品类）")
    private String catalogname1;

    /**
     * 二级分类（用途，品目）
     */
    @TableField(value = "catalogname2")
    @ApiModelProperty(value="二级分类（用途，品目）")
    private String catalogname2;

    /**
     * 三级分类（部位，功能，品种）
     */
    @TableField(value = "catalogname3")
    @ApiModelProperty(value="三级分类（部位，功能，品种）")
    private String catalogname3;

    /**
     * 规格（特征，参数）
     */
    @TableField(value = "characteristic")
    @ApiModelProperty(value="规格（特征，参数）")
    private String characteristic;

    @TableField(value = "codeCount")
    @ApiModelProperty(value="")
    private String codeCount;

    @TableField(value = "codeCounts")
    @ApiModelProperty(value="")
    private String codeCounts;

    /**
     * 医保通用名
     */
    @TableField(value = "commonname")
    @ApiModelProperty(value="医保通用名")
    private String commonname;

    @TableField(value = "compCounts")
    @ApiModelProperty(value="")
    private String compCounts;

    /**
     * 耗材企业
     */
    @TableField(value = "companyName")
    @ApiModelProperty(value="耗材企业")
    private String companyName;

    /**
     * 材质
     */
    @TableField(value = "matrial")
    @ApiModelProperty(value="材质")
    private String matrial;

    @TableField(value = "model")
    @ApiModelProperty(value="")
    private String model;

    @TableField(value = "proCounts")
    @ApiModelProperty(value="")
    private String proCounts;

    @TableField(value = "prodCount")
    @ApiModelProperty(value="")
    private String prodCount;

    @TableField(value = "productName")
    @ApiModelProperty(value="")
    private String productName;

    @TableField(value = "productionCode")
    @ApiModelProperty(value="")
    private String productionCode;

    @TableField(value = "regCount")
    @ApiModelProperty(value="")
    private String regCount;

    @TableField(value = "regCounts")
    @ApiModelProperty(value="")
    private String regCounts;

    @TableField(value = "regcardName")
    @ApiModelProperty(value="")
    private String regcardName;

    @TableField(value = "regcardnm")
    @ApiModelProperty(value="")
    private String regcardnm;

    /**
     * 版本日期
     */
    @TableField(value = "releaseVersion")
    @ApiModelProperty(value="版本日期")
    private String releaseVersion;

    @TableField(value = "specCount")
    @ApiModelProperty(value="")
    private String specCount;

    @TableField(value = "specCounts")
    @ApiModelProperty(value="")
    private String specCounts;

    @TableField(value = "specification")
    @ApiModelProperty(value="")
    private String specification;

    @TableField(value = "totals")
    @ApiModelProperty(value="")
    private String totals;

    private static final long serialVersionUID = 1L;
}
