package com.glxp.udidl.admin.res.chs;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YbTwzdResponse {

    @JsonProperty("records")
    private Integer records;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("rows")
    private List<RowsDTO> rows;
    @JsonProperty("page")
    private Integer page;
    @JsonProperty("count")
    private Integer count;
    @JsonProperty("firstResult")
    private Integer firstResult;
    @JsonProperty("maxResults")
    private Integer maxResults;
    @JsonProperty("success")
    private Boolean success;
    @JsonProperty("result")
    private String result;
    @JsonProperty("conditions")
    private ConditionsDTO conditions;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("form")
    private String form;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("operCount")
    private Integer operCount;
    @JsonProperty("sord")
    private String sord;
    @JsonProperty("sidx")
    private String sidx;
    @JsonProperty("orderby")
    private String orderby;

    @NoArgsConstructor
    @Data
    public static class ConditionsDTO {
        @JsonProperty("orderColumn")
        private Integer orderColumn;
    }

    @NoArgsConstructor
    @Data
    public static class RowsDTO {

        @JsonProperty("id")
        private String id;

        @JsonProperty("goodsId")
        private String goodsId;

        @JsonProperty("code")
        private String code;

        @JsonProperty("specificationCode")
        private String specificationCode;

        @JsonProperty("catalogFullName")
        private String catalogFullName;

        @JsonProperty("catalogName1")
        private String catalogName1;

        @JsonProperty("catalogName2")
        private String catalogName2;

        @JsonProperty("catalogName3")
        private String catalogName3;

        @JsonProperty("reagentTestingCode")
        private String reagentTestingCode;

        @JsonProperty("testingFullDesc")
        private String testingFullDesc;

        @JsonProperty("testingCategoryName1")
        private String testingCategoryName1;

        @JsonProperty("testingCategoryName2")
        private String testingCategoryName2;

        @JsonProperty("reagentUseType")
        private int reagentUseType;

        @JsonProperty("reagentCheckType")
        private int reagentCheckType;

        @JsonProperty("reagentCheckNum")
        private int reagentCheckNum;

        @JsonProperty("reagentCheckItem")
        private String reagentCheckItem;

        @JsonProperty("reagentFixedType")
        private int reagentFixedType;

        @JsonProperty("specification")
        private String specification;

        @JsonProperty("hcybCode")
        private String hcybCode;

        @JsonProperty("ggxhCode")
        private String ggxhCode;

        @JsonProperty("marketStatus")
        private String marketStatus;

        @JsonProperty("udiCode")
        private String udiCode;

        @JsonProperty("unit")
        private String unit;

        @JsonProperty("volume")
        private String volume;

        @JsonProperty("serve")
        private int serve;

        @JsonProperty("other")
        private String other;

        @JsonProperty("applicableInstruments")
        private String applicableInstruments;

        @JsonProperty("productId")
        private String productId;

        @JsonProperty("productName")
        private String productName;

        @JsonProperty("isImport")
        private String isImport;

        @JsonProperty("regcardId")
        private String regcardId;

        @JsonProperty("regcardNm")
        private String regcardNm;

        @JsonProperty("regcardProductName")
        private String regcardProductName;

        @JsonProperty("registrant")
        private String registrant;

        @JsonProperty("managerLevel")
        private String managerLevel;

        @JsonProperty("companyId")
        private String companyId;

        @JsonProperty("companyName")
        private String companyName;

        @JsonProperty("businessLicense")
        private String businessLicense;

        @JsonProperty("companyCode")
        private String companyCode;

        @JsonProperty("dataTime")
        private String dataTime;

        @JsonProperty("releaseVersion")
        private String releaseVersion;

        @JsonProperty("productCode")
        private String productCode;

        @JsonProperty("originCode")
        private String originCode;

        @JsonProperty("originCodeStatus")
        private String originCodeStatus;

        @JsonProperty("modifyType")
        private String modifyType;

    }
}
