package com.glxp.udidl.admin.res.tyapi;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;


@Data
public class SupplierResponse {

    @JsonProperty("result")
    private ResultDTO result;
    @JsonProperty("reason")
    private String reason;
    @JsonProperty("error_code")
    private Integer errorCode;


    @Data
    public static class ResultDTO {
        @JsonProperty("suppliesYear")
        private List<SuppliesYearDTO> suppliesYear;
        @JsonProperty("pageBean")
        private PageBeanDTO pageBean;


        @Data
        public static class PageBeanDTO {
            @JsonProperty("result")
            private List<ResultDTO.PageBeanDTO.SupplierDTO> result;
            @JsonProperty("total")
            private Integer total;


            @Data
            public static class SupplierDTO {
                @JsonProperty("supplier_graphId")
                private Long supplier_graphId;
                @JsonProperty("announcement_date")
                private Long announcement_date;
                @JsonProperty("amt")
                private String amt;
                @JsonProperty("logo")
                private String logo;
                @JsonProperty("alias")
                private String alias;
                @JsonProperty("supplier_name")
                private String supplier_name;
                @JsonProperty("relationship")
                private String relationship;
                @JsonProperty("dataSource")
                private String dataSource;
                @JsonProperty("ratio")
                private String ratio;
            }
        }


        @Data
        public static class SuppliesYearDTO {
            @JsonProperty("title")
            private String title;
            @JsonProperty("value")
            private String value;
        }
    }
}
