package com.glxp.udidl.admin.service.chsapi;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.glxp.udidl.admin.dao.chs.YbDrugMapper;
import com.glxp.udidl.admin.dao.chs.YbHcflMapper;
import com.glxp.udidl.admin.entity.chs.YbDrug;
import com.glxp.udidl.admin.entity.chs.YbHcflEntity;
import com.glxp.udidl.admin.res.chs.YbDrugResponse;
import com.glxp.udidl.admin.res.chs.YbHcflResponse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class ChsYbDrugService extends ServiceImpl<YbDrugMapper, YbDrug> {

    @Resource
    ChsYbChsHttpClient ybChsHttpClient;
    @Resource
    YbDrugMapper ybDrugMapper;


    public void updateDrugList(){
        Integer pageNum = 1;
        Integer pageSize = 200;

        //1、获取数据
        YbDrugResponse ybDrugResponse = ybChsHttpClient.getYbDrugList(pageNum, pageSize,null);
        Integer total = ybDrugResponse.getTotal();
        //处理第一批数据
        processUpdates(ybDrugResponse);
        //处理后续数据
        if (total>pageNum){
            for (int i = 2; i <= total ; i++) {
                System.out.println("更新数据库的YbDrug列表数据"+ i);
                processUpdates(ybChsHttpClient.getYbDrugList(i, pageSize,null));
            }
        }
    }

    /**
     * 处理比对更新
     * @param ybDrugResponse
     */
    private void processUpdates(YbDrugResponse ybDrugResponse) {
        List<YbDrugResponse.RowsDTO> list = ybDrugResponse.getRows();
        List<YbDrug> ybHcflEntities = BeanUtil.copyToList(list, YbDrug.class);
        ybDrugMapper.batchSaveOrUpdateByGoodsCode(ybHcflEntities);
    }


}
